<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Author: Olaf Herfurth / TerraProject  http://www.tecmu.de
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 */

defined('mxMainFileLoaded') or die('access denied');

function cok_getDefaultInfo () {

        $cokinfo=array();
        $cokinfo['german']="<h3><strong class=\"warning\">Das ist nur ein Beispiel!</strong><br /><br /></h3>

        <p>Diese Website benutzt Cookies und sammelt alle Ihre Daten</p>
        <p>Genauere Informationen zu diesem Thema kann Ihnen ein Rechtsanwalt Ihres Vertrauens geben.</p>
        ";

        $cokinfo['german_du']="<h3><strong class=\"warning\">Das ist nur ein Beispiel!</strong><br /><br /></h3>
        <p>Diese Website benutzt Cookies und sammelt alle Deine Daten.</p>
        <p>Genauere Informationen zu diesem Thema kann Dir ein Rechtsanwalt Deines Vertrauens geben.</p>
        ";

        $cokinfo['french']="<h3><strong class=\"warning\">Ceci est seulement un exemple!</strong><br /></h3>
        <p>Ce site utilise des cookies et collecte toutes vos donnes.</p>
        <p>Un avocat en qui vous avez confiance pourra vous donner des informations plus dtailles  ce sujet.</p>
        ";

        $cokinfo['english']="<h3><strong class=\"warning\">That is only an example!</strong><br /><br /></h3>
        <p>This website uses cookies and collects all your data.</p>
        <p>An attorney of your confidence can give you more exact information to this topic.</p>
        ";

        $cokinfo['turkish']="<h3><strong class=\"warning\">Bu sayfa sadece örnektir!</strong><br /></h3>
        <p>Bu web sitesi erezleri kullanir ve tm verilerinizi toplar.</p>
        <p>Bir avukat bu konuda daha fazla tam bilgi verebilir.</p>
        ";

        $cokinfo['danish']="<h3><strong class=\"warning\">Dette er kun et eksempel!</strong><br /></h3>
        <p>Denne hjemmeside bruger cookies og indsamler alle dine data.</p>
        <p>En advokat, du har tillid til, kan give dig mere detaljerede oplysninger om dette emne.</p>
        ";
        return $cokinfo;
}


function cok_getdefault($lang = '')
{
        $cokinfo=cok_getDefaultInfo();
        return $cokinfo[$lang];

        /* holt die alten Daten aus den files */
    global  $module_name, $currentlang, $doc, $cokinfo;

        $lang = ($lang=="german_du")?"german":$lang;
        $lang = ($lang=="")?((strpos($GLOBALS['currentlang'], 'german') === 0) ? "german" : $GLOBALS["currentlang"]):$lang;

        $cok_filename = 'modules/' . $module_name . '/language/lang-' . $lang . '.php';

        if (file_exists(PMX_MODULES_DIR . DS . $module_name . "/cok.tpl.htm")) {
                $file = file_get_contents(PMX_MODULES_DIR . DS . $module_name . "/cok.tpl.htm");
                        $file=encodeToUtf8($file);
        } else {
                $oldfile=PMX_MODULES_DIR . DS . $module_name . "/language/cok-" . $lang . ".tpl.htm";
                if (file_exists($oldfile)) {         //alte Datei vorhanden
                        $file = file_get_contents($oldfile);
                        $file=encodeToUtf8($file);
                } else {
                        $file= cokinfo[$lang];                // defaultangaben einlesen
                }
        }
        return clean_tags($file);
}

function encodeToUtf8($string) {
     return mb_convert_encoding($string, "UTF-8", mb_detect_encoding($string, "UTF-8, ISO-8859-1, ISO-8859-15", true));
}

function clean_tags($file)
{

        $file = preg_replace("#\<!--(.*)--\>#si", " ", $file); // HTML-Kommentare loeschen
        $file = str_replace("{copyrightlink}", "", $file);
        $file = str_replace("{developerinfo}", "", $file);
        $file = str_replace("{module_info}", "", $file);
        $file = str_replace("{design_info}", "", $file);
        $file = str_replace("{plugin_info}", "", $file);
        $file = str_replace('height: 600px;', "", $file);
        return $file;

}

function getDefaultConfig() {
        $config['plginfo']=0;
        $config['pmxlink']=0;
        $config['modinfo']=0;
        $config['styleinfo']=0;

        return $config;
}
?>